
namespace ChillConnect
{
    public static class AppManagerRegister
    {
        public static void Register()
        {
            var managerOfManager = ManagerOfManager.Instance;
            managerOfManager.AddManager(CameraManager.Instance);
            managerOfManager.AddManager(AudioManager.Instance);
            managerOfManager.AddManager(UIManager.Instance);

            managerOfManager.AddManager(HallManager.Instance);
            managerOfManager.AddManager(FXManager.Instance);
            managerOfManager.AddManager(NetworkManager.Instance);


        }

        public static void RegisterData()
        {
            RegisterFont();
        }

        private static void RegisterFont()
        {
            UIManager uiManager = UIManager.Instance;
            uiManager.RegisterDefaultFont("LilitaOne-Regular");
            uiManager.RegisterFont("LilitaOne-Regular");
        }
    }
}